##
## DVD Eject
## by nobody9
##
from Screens.Screen import Screen
from Components.ActionMap import ActionMap
from Components.ActionMap import NumberActionMap
from Components.MenuList import MenuList
from Components.Button import Button
from Components.Label import Label
from Components.Pixmap import Pixmap
from Plugins.Plugin import PluginDescriptor
from Screens.Console import Console

plugin_path = "/usr/lib/enigma2/python/Plugins/Extensions/DVDEject"

############################################

class EjectDVD(Screen):
	skin = """
	<screen position="80,200" size="560,230" title="Eject DVD/CD" >
		<widget name="list" position="5,10" size="550,170" scrollbarMode="showOnDemand" />
		<ePixmap name="red" position="5,190" zPosition="1" size="140,40" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/DVDEject/key-red_200.png" transparent="1" alphatest="on" />
		<ePixmap name="green" position="150,190" zPosition="1" size="140,40" pixmap="/usr/lib/enigma2/python/Plugins/Extensions/DVDEject/key-green_200.png" transparent="1" alphatest="on" />
		<widget name="key_red" position="5,190" zPosition="2" size="140,40" valign="center" halign="center" font="Regular;21" transparent="1" backgroundColor="#9f1313" shadowColor="black" shadowOffset="-1,-1" />
		<widget name="key_green" position="150,190" zPosition="2" size="140,40" valign="center" halign="center" font="Regular;21" transparent="1" backgroundColor="#1f771f" shadowColor="black" shadowOffset="-1,-1" />
	</screen>"""

	def __init__(self, session, args=None):
		Screen.__init__(self, session)
		self.session = session
		list = []
		list.append("Attention!")
		list.append("is the front panel open")
		self["list"] = MenuList(list)
		self["actions"] = ActionMap(["OkCancelActions","ColorActions"],
			{
				"ok": self.eject, 
				"cancel": self.close,
				"green": self.eject,
				"red": self.close
			}, -1)
		self["key_red"] = Label(_("Cancel"))
		self["key_green"] = Label(_("Ecject"))

	def eject(self):
		commands = ["/usr/lib/enigma2/python/Plugins/Extensions/DVDEject/bin/eject -r -v"]
		self.session.open(Console, _("DVD/CD-ROM Eject"), cmdlist=commands, closeOnSuccess = True)
		self.close()

		
############################################

def main(session, **kwargs):
	session.open(EjectDVD)

def Plugins(**kwargs):
	return [PluginDescriptor(name=_("DVD/CD Eject"), description=_("Eject DVD or CD"), where=PluginDescriptor.WHERE_PLUGINMENU, fnc=main),
		PluginDescriptor(name=_("DVD/CD Eject"), description=_("Eject DVD or CD"), where=PluginDescriptor.WHERE_EXTENSIONSMENU, fnc=main)]

